org.apache.lucene.analysis.ja.util

## Class CSVUtil

- java.lang.Object
- - org.apache.lucene.analysis.ja.util.CSVUtil

-     public final class CSVUtil
      extends Object

  Utility class for parsing CSV text

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String[]` | `parse(String line)` Parse CSV line
    `static String` | `quoteEscape(String original)` Quote and escape input value for CSV

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### parse

          public static String[] parse(String line)

      Parse CSV line
      Parameters:
        `line` - line containing csv-encoded data
      Returns:
        Array of values

    - #### quoteEscape

          public static String quoteEscape(String original)

      Quote and escape input value for CSV

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.